Gisaf - Feature #9534

Geodson store: systematically use geodataframes
06/01/2020 17:56 - Philippe May

Status: Resolved Start date: 06/01/2020
Priority: Normal Due date:

Assignee: Philippe May % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Currently, there's a mix of:
- (for category/survey models): get data from DB with Geopandas and process using vectorised pandas/numpy operations
- (for custom defined models): get data from DB using gino

-> change all models to allow feature retrieving through GeoPandas.

Benefits:

- unified process

- expected bug speedups when Geopandas, Shapely and PyGeos get integrated, which will provide vectorized operations on
geometries (see https:/github.com/Toblerity/Shapely/issues/782 and related tickets, eg. https:/github.com/pygeos/pygeos/issues/82)

Biggest refactorings:

- popup: implement get_popup_from_df and deprecate caption, get_popup

- properties: implement get_properties_from_df and deprecate get_properties

- styles (mapbox-layout and mapbox-paint): currently, they are added to Geodson FeatureCollection object, which might not follow
the standard: move to HTTP headers

Related issues:
Related to Gisaf - Support #9483: Performance: writing gpkg is slower than sh... New 23/12/2019

Associated revisions

Revision c78a3cb2 - 06/01/2020 18:10 - Philippe May

Refs #9534: generalize GeoDataframes

Use gdf.to_json() (slightly faster, gygeos should bring an order of magnitude speed improvement
Implement:

- model.get_geojson_http_headers

- model.get_popup_from_df

- model.model.get_popup_from_df

- mapbox-paint and mapbox-layout move HTTP headers

Revision 702d99aa - 06/01/2020 18:15 - Philippe May

Refs #9534: geodataframe for geojson generation
Implement:

- get_popup_from_df

- get_properties_from_df

Exception: Well

Revision 68c1e319 - 06/01/2020 23:11 - Philippe May

Refs #9534: Well: use dataframe for geojson
Revision 775bd7be - 06/01/2020 23:12 - Philippe May

Refs #9534: cadastral: use dataframe for geojson

Revision €522ab9b - 07/01/2020 00:25 - Philippe May
Refs #9534: Refactoring, cleanups

Revision cfd05cef - 07/01/2020 00:31 - Philippe May
Refs #9534: Refactoring, cleanups

Revision f9fbac55 - 07/01/2020 02:38 - Philippe May

Refs #9534: update live layers

Mapbox style given in HTTP headers

Use redis stores for mapbox_paint and mapbox_layout
Fix performance goofup

Revision ece2a8e9 - 07/01/2020 15:03 - Philippe May
Refs #9534: fix well get_properties

Revision 35dbd145 - 07/01/2020 15:17 - Philippe May

Refs #9534 fix cadastral location text on map

Revision fd2a621e - 07/01/2020 15:50 - Philippe May

Refs #9534 fix waste water treatment plant style

Revision af95b914 - 07/01/2020 16:49 - Philippe May

Refs #9534: cleanup: use nice pandas string ops
instead of dirty numpy

History

#1 - 07/01/2020 13:15 - Philippe May

TODO: fix:

- CadastralLocation text

- wells

- optical fiber style

- geological formation style

#2 - 07/01/2020 16:51 - Philippe May
- % Done changed from 0 to 100

- Status changed from New to Resolved

#3 - 08/01/2020 11:07 - Philippe May
- Related to Support #9483: Performance: writing gpkg is slower than shapefiles added
